/*!
  \file
  \brief SH7045F の Flash-ROM 書き込みプログラムの GUI 版

  \author Satofumi KAMIMURA

  $Id: sh7045writer.cpp 1097 2009-06-29 06:21:13Z satofumi $
*/

#include "WriterWidget.h"
#include <QApplication>
#include <QTranslator>
#include <QLocale>


int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  // ロケールの適用
  QString locale = QLocale::system().name();
  QTranslator translator;
  translator.load("sh7045writer_" + locale);
  app.installTranslator(&translator);

  WriterWidget widget;
  widget.show();

  return app.exec();
}
